Name:           gifsicle
Version:        1.95
Release:        %mkrel 1
Summary:        Powerful program for manipulating GIF images and animations
Group:          Graphics
License:        GPLv2+
URL:            http://www.lcdf.org/gifsicle/
Source0:        http://www.lcdf.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(x11)

%description
Gifsicle is a command-line tool for creating, editing, and getting
information about GIF images and animations.

Some more gifsicle features:

    * Batch mode for changing GIFs in place.
    * Prints detailed information about GIFs, including comments.
    * Control over interlacing, comments, looping, transparency...
    * Creates well-behaved GIFs: removes redundant colors, only
      uses local color tables if it absolutely has to (local color
      tables waste space and can cause viewing artifacts), etc.
    * It can shrink colormaps and change images to use the Web-safe
      palette (or any colormap you choose).
    * Optimize your animations! This stores only the changed portion
      of each frame, and can radically shrink your GIFs. You can
      also use transparency to make them even smaller.
      Gifsicle’s optimizer is pretty powerful, and usually reduces
      animations to within a couple bytes of the best commercial
      optimizers.
    * Unoptimizing animations, which makes them easier to edit.
    * A dumb name.

Two other programs are included with gifsicle:
    * gifview is a lightweight animated-GIF viewer which can show
      animations as slideshows or in real time
    * gifdiff compares two GIFs for identical visual appearance.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

%files
%{_bindir}
%{_datadir}


%changelog
* Thu Mar 07 2024 tex - 1.95-1pclos2024
- new version

* Wed Jul 19 2023 tex - 1.94-1pclos2023
- new version

* Fri Sep 17 2021 tex - 1.93-1pclos2021
- new version

* Sat Apr 20 2019 tex 1.92-1pclos2019
- new version: 1.92
